/***************************************************************************
                          line.cpp  -  description
                             -------------------
    begin                : Sun Apr 9 2000
    copyright            : (C) 2000 by sdteffen
    email                : macke@heini.fbbwu.fh-lueneburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "line.h"
#include <stdio.h>

//Constructor
ghLine::ghLine( double diameter, double length, double roughness, int fromnode, int tonode,  ghLineType type)
{
  mfDiameter = diameter;
  mfLength = length;
  mfRoughness = roughness;
  miFromNode = fromnode;
  miToNode = tonode;
  mType = type;

  mfFlow = 0.0;
  if((mType == GH_LINE_PUMP_FORWARD)||(mType == GH_LINE_PUMP_REVERSE)){
  	mfEpsilon = 3.0;
  }
  else {
  	mfEpsilon = 1.0;
  }
  //TODO: add constructor code for missing types....
};    

ghLine::ghLine()
{
  mfDiameter = 0.0;
  mfLength = 0.0;
  mfRoughness = 0.0;
  miFromNode = 0;
  miToNode = 0;
  mfEpsilon = 1.0;
  mfFlow = 0.0;
  mType = GH_LINE_LINE;
};

void ghLine::print() {
	double v;
	v = mfFlow*4/(1000*mfDiameter*mfDiameter*3.14159);
  printf("DN=%f, Length=%f, Flow=%f, Roughness=%f, From=%d, To=%d, Type=%d, v=%f\n",mfDiameter, mfLength, mfFlow, mfRoughness, miFromNode, miToNode, mType,v);
}


