/***************************************************************************
                          line.h  -  description
                             -------------------
    begin                : Sun Apr 9 2000
    copyright            : (C) 2000 by sdteffen
    email                : macke@heini.fbbwu.fh-lueneburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GHYDRAULIC_LINE_H
#define GHYDRAULIC_LINE_H

typedef enum {
  GH_LINE_LINE,
  GH_LINE_PUMP_FORWARD,
  GH_LINE_PUMP_REVERSE,
  GH_LINE_PRV_END,
  GH_LINE_PRV_START
} ghLineType;

class ghLine
{
  public:
    ghLine( double diameter, double length, double roughness, int fromnode, int tonode, ghLineType type);
    ghLine();
    void print();

//  private:
		/*Diameter in m*/
    double mfDiameter;
    /*Length in m
      <0 negative Einzelwiderstandsbeiwert*/
    double mfLength;
    /*absolute Roughness in m*/
    double mfRoughness;
    int miFromNode;
    int miToNode;
    double mfEpsilon;
    /*Flow in kg/s*/
    double mfFlow;
  /** dimensionless */
  double mfPressureLossExponent;
    ghLineType mType;
};

#endif




