/***************************************************************************
                          node.cpp  -  description
                             -------------------
    begin                : Sun Apr 9 2000
    copyright            : (C) 2000 by sdteffen
    email                : macke@heini.fbbwu.fh-lueneburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/*
 * ghydraulic - hydraulic network calculation
 *   Copyright (C) 2000 DORSCH Consult *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details. *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. *
 */

#include "node.h"
#include <stdio.h>

//Constructor
ghNode::ghNode( double pressure, double demand, double elevation, ghNodeType type)
{
  mfPressure = pressure;
  mfDemand = demand;
  mfElevation = elevation;
  mType = type;
  if((mType == GH_NODE_CONSTANT_PRESSURE)&&(mfDemand != 0)){
  	printf("WARNING: Constant Pressure Node with Demand. Setting Demand to 0.\n");
  	mfDemand = 0;
  }
  //TODO: make the followin accessible through XML
  mfLeakageRate = 0.0;
};    

ghNode::ghNode()
{
  mfPressure = 0.0;
  mfDemand = 0.0;
  mfElevation = 0.0;
//  mType = type;
};

void ghNode::print() {
 printf("p=%f, Demand=%f, Elevation=%f, Type=%d, HGL=%f\n",mfPressure, mfDemand, mfElevation, mType,mfElevation+mfPressure/10000);
}
