/***************************************************************************
                          node.h  -  description
                             -------------------
    begin                : Sun Apr 9 2000
    copyright            : (C) 2000 by sdteffen
    email                : macke@heini.fbbwu.fh-lueneburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/*
 *   ghydraulic - calculate hydraulic networks
 *   Copyright (C) 2000 DORSCH Consult *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details. *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. *
 */

#ifndef GHYDRAULIC_NODE_H 
#define GHYDRAULIC_NODE_H

typedef enum {
  GH_NODE_UNKNOWN_PRESSURE,
  GH_NODE_CONSTANT_PRESSURE,
  GH_NODE_REGULATE_PRESSURE
} ghNodeType;

class ghNode
{
  public:
    ghNode( double pressure, double demand, double elevation, ghNodeType type);
    ghNode();
    void print();

//  private:
    double mfPressure;
    double mfDemand;
    double mfElevation;
 		double mfLeakageRate; // in kg/s per 1 bar pressure
    ghNodeType mType;
};

#endif
